Subject: Re: bug#9751: 23.3; Alternative Keyboard Feature/Bug

From: Juanma Barranquero <[email-masked]>
Date: Fri, 14 Oct 2011 13:48:01 +0200

On Fri, Oct 14, 2011 at 09:05, Nikos Pitsianis <[email-masked]> wrote:

> There is a behavior that is not correct. When I use a different keyboard
> than English, say to enter Greek, the key combinations Ctr and Alt do
> not work as intented because Ctr-G for example is interpreted as
> Ctr-Gamma which does not bring the intended outcome.

That's a feature (and not a bug) of the Windows keyboard handler.

> I believe it is a reasonable assumption that Ctr and Alt key
> combinations in any alternative keyboard should be interpreted as the
> corresponding English keyboard ones.

Do you also believe that the key just right of the "l" should be
interpreted as ";"? That's going to make difficult to type "ñ" for
me...

    Juanma